import { Component } from '@angular/core';
import { UploadService } from './upload.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css'],
})
export class AppComponent {
  res: any;

  constructor(private uservice: UploadService) {}

  uploadFile(event: any) {
    const file = event.target.files[0];
    console.log(file);
    // filun lähetys pitää tehdä FormData -muodossa
    const formData = new FormData();
    formData.append('angupload', file, file.name);
    this.uservice.postUploaded(formData).subscribe((res) => (this.res = res));
  }
}
