import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root',
})
export class UploadService {
  uploadurl = 'http://localhost:3000/api/upload';

  constructor(private http: HttpClient) {}

  // Tehdään palvelimelle post-pyyntö joka lähettää tiedoston observablena
  postUploaded(formdata: any): Observable<any[]> {
    return this.http.post<any[]>(this.uploadurl, formdata);
    //virheenkäsittely tähän
  }
}
